diff --git a/base/server/src/engine/pkihelper.py b/base/server/src/engine/pkihelper.py
index 8ca83be67ae5bf4c4eabc023253c342eac278d89..e91932720dd94d521592e5e78a4170742bcf8558 100644
--- a/base/server/src/engine/pkihelper.py
+++ b/base/server/src/engine/pkihelper.py
@@ -1018,13 +1028,13 @@ class instance:
 
     def verify_subsystem_does_not_exist(self):
         try:
-            if os.path.exists(master['pki_subsystem_path']):
+            if os.path.exists(self.master_dict['pki_subsystem_path']):
                 config.pki_log.error(log.PKI_SUBSYSTEM_ALREADY_EXISTS_2,
-                                     master['pki_subsystem'],
-                                     master['pki_instance_name'],
+                                     self.master_dict['pki_subsystem'],
+                                     self.master_dict['pki_instance_name'],
                                      extra = config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (master['pki_subsystem'],
-                                                                      master['pki_instance_name']))
+                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (self.master_dict['pki_subsystem'],
+                                                                      self.master_dict['pki_instance_name']))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra = config.PKI_INDENTATION_LEVEL_2)
@@ -1033,9 +1043,9 @@ class instance:
     def get_instance_status(self):
         self.connection = pki.client.PKIConnection(
             protocol = 'https',
-            hostname = master['pki_hostname'],
-            port = master['pki_https_port'],
-            subsystem = master['pki_subsystem_type'],
+            hostname = self.master_dict['pki_hostname'],
+            port = self.master_dict['pki_https_port'],
+            subsystem = self.master_dict['pki_subsystem_type'],
             accept = 'application/xml')
 
         try:
@@ -1063,8 +1073,16 @@ class instance:
                 break
         return status
 
-# PKI Deployment Directory Class
-class directory:
+class _Directory:
+    """PKI Deployment Directory Class"""
+    
+    def __init__(self, pki_master_dict, identity = None):
+        self.master_dict = pki_master_dict
+        if identity is None:
+            self.identity = _Identity(pki_master_dict)
+        else:
+            self.identity = identity
+    
     def create(self, name, uid = None, gid = None,
                perms = config.PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS,
                acls = None, critical_failure = True):
@@ -1080,9 +1098,9 @@ class directory:
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
                                      extra = config.PKI_INDENTATION_LEVEL_3)
@@ -1091,8 +1109,8 @@ class directory:
                 record = manifest.record()
                 record.name = name
                 record.type = manifest.RECORD_TYPE_DIRECTORY
-                record.user = master['pki_user']
-                record.group = master['pki_group']
+                record.user = self.master_dict['pki_user']
+                record.group = self.master_dict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1136,9 +1154,9 @@ class directory:
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                          uid, gid, name,
@@ -1149,8 +1167,8 @@ class directory:
                     record = manifest.record()
                     record.name = name
                     record.type = manifest.RECORD_TYPE_DIRECTORY
-                    record.user = master['pki_user']
-                    record.group = master['pki_group']
+                    record.user = self.master_dict['pki_user']
+                    record.group = self.master_dict['pki_group']
                     record.uid = uid
                     record.gid = gid
                     record.permissions = perms
@@ -1238,9 +1256,9 @@ class directory:
                     log.PKIHELPER_SET_MODE_1, name,
                     extra = config.PKI_INDENTATION_LEVEL_2)
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 if recursive_flag == True:
                     for root, dirs, files in os.walk(name):
                         for name in files:
@@ -1264,8 +1282,8 @@ class directory:
                                 record = manifest.record()
                                 record.name = name
                                 record.type = manifest.RECORD_TYPE_FILE
-                                record.user = master['pki_user']
-                                record.group = master['pki_group']
+                                record.user = self.master_dict['pki_user']
+                                record.group = self.master_dict['pki_group']
                                 record.uid = uid
                                 record.gid = gid
                                 record.permissions = file_perms
@@ -1290,8 +1308,8 @@ class directory:
                                 record = manifest.record()
                                 record.name = name
                                 record.type = manifest.RECORD_TYPE_SYMLINK
-                                record.user = master['pki_user']
-                                record.group = master['pki_group']
+                                record.user = self.master_dict['pki_user']
+                                record.group = self.master_dict['pki_group']
                                 record.uid = uid
                                 record.gid = gid
                                 record.permissions = symlink_perms
@@ -1316,8 +1334,8 @@ class directory:
                             record = manifest.record()
                             record.name = name
                             record.type = manifest.RECORD_TYPE_DIRECTORY
-                            record.user = master['pki_user']
-                            record.group = master['pki_group']
+                            record.user = self.master_dict['pki_user']
+                            record.group = self.master_dict['pki_group']
                             record.uid = uid
                             record.gid = gid
                             record.permissions = dir_perms
@@ -1342,8 +1360,8 @@ class directory:
                     record = manifest.record()
                     record.name = name
                     record.type = manifest.RECORD_TYPE_DIRECTORY
-                    record.user = master['pki_user']
-                    record.group = master['pki_group']
+                    record.user = self.master_dict['pki_user']
+                    record.group = self.master_dict['pki_group']
                     record.uid = uid
                     record.gid = gid
                     record.permissions = dir_perms
@@ -1415,9 +1433,17 @@ class directory:
                 raise
         return
 
-
-# PKI Deployment File Class (also used for executables)
-class file:
+class _File:
+    """PKI Deployment File Class (also used for executables)"""
+    
+    def __init__(self, pki_master_dict, pki_slots_dict = None, identity = None):
+        self.master_dict = pki_master_dict
+        self.slots = pki_slots_dict
+        if identity is None:
+            self.identity = _Identity(pki_master_dict)
+        else:
+            self.identity = identity
+    
     def create(self, name, uid = None, gid = None,
                perms = config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS,
                acls = None, critical_failure = True):
@@ -1433,9 +1459,9 @@ class file:
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
                                      extra = config.PKI_INDENTATION_LEVEL_3)
@@ -1444,8 +1470,8 @@ class file:
                 record = manifest.record()
                 record.name = name
                 record.type = manifest.RECORD_TYPE_FILE
-                record.user = master['pki_user']
-                record.group = master['pki_group']
+                record.user = self.master_dict['pki_user']
+                record.group = self.master_dict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1489,9 +1515,9 @@ class file:
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                          uid, gid, name,
@@ -1502,8 +1528,8 @@ class file:
                     record = manifest.record()
                     record.name = name
                     record.type = manifest.RECORD_TYPE_FILE
-                    record.user = master['pki_user']
-                    record.group = master['pki_group']
+                    record.user = self.master_dict['pki_user']
+                    record.group = self.master_dict['pki_group']
                     record.uid = uid
                     record.gid = gid
                     record.permissions = perms
@@ -1574,9 +1600,9 @@ class file:
                                     extra = config.PKI_INDENTATION_LEVEL_2)
                 shutil.copy2(old_name, new_name)
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 # chmod <perms> <new_name>
                 config.pki_log.debug(log.PKIHELPER_CHMOD_2,
                                      perms, new_name,
@@ -1591,8 +1617,8 @@ class file:
                 record = manifest.record()
                 record.name = new_name
                 record.type = manifest.RECORD_TYPE_FILE
-                record.user = master['pki_user']
-                record.group = master['pki_group']
+                record.user = self.master_dict['pki_user']
+                record.group = self.master_dict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1625,18 +1651,18 @@ class file:
                                 name,
                                 extra = config.PKI_INDENTATION_LEVEL_2)
             for line in fileinput.FileInput(name, inplace = 1):
-                for slot in slots:
-                    if slot != '__name__' and slots[slot] in line:
+                for slot in self.slots:
+                    if slot != '__name__' and self.slots[slot] in line:
                         config.pki_log.debug(
                             log.PKIHELPER_SLOT_SUBSTITUTION_2,
-                            slots[slot], master[slot],
+                            self.slots[slot], self.master_dict[slot],
                             extra = config.PKI_INDENTATION_LEVEL_3)
-                        line = line.replace(slots[slot], master[slot])
+                        line = line.replace(self.slots[slot], self.master_dict[slot])
                 sys.stdout.write(line)
             if uid == None:
-                uid = identity.get_uid()
+                uid = self.identity.get_uid()
             if gid == None:
-                gid = identity.get_gid()
+                gid = self.identity.get_gid()
             # chmod <perms> <name>
             config.pki_log.debug(log.PKIHELPER_CHMOD_2,
                                  perms, name,
@@ -1651,8 +1677,8 @@ class file:
             record = manifest.record()
             record.name = name
             record.type = manifest.RECORD_TYPE_FILE
-            record.user = master['pki_user']
-            record.group = master['pki_group']
+            record.user = self.master_dict['pki_user']
+            record.group = self.master_dict['pki_group']
             record.uid = uid
             record.gid = gid
             record.permissions = perms
@@ -1694,18 +1720,18 @@ class file:
                                     extra = config.PKI_INDENTATION_LEVEL_2)
                 with open(new_name, "w") as FILE:
                     for line in fileinput.FileInput(old_name):
-                        for slot in slots:
-                            if slot != '__name__' and slots[slot] in line:
+                        for slot in self.slots:
+                            if slot != '__name__' and self.slots[slot] in line:
                                 config.pki_log.debug(
                                     log.PKIHELPER_SLOT_SUBSTITUTION_2,
-                                    slots[slot], master[slot],
+                                    self.slots[slot], self.master_dict[slot],
                                     extra = config.PKI_INDENTATION_LEVEL_3)
-                                line = line.replace(slots[slot], master[slot])
+                                line = line.replace(self.slots[slot], self.master_dict[slot])
                         FILE.write(line)
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 # chmod <perms> <new_name>
                 config.pki_log.debug(log.PKIHELPER_CHMOD_2,
                                      perms, new_name,
@@ -1720,8 +1746,8 @@ class file:
                 record = manifest.record()
                 record.name = new_name
                 record.type = manifest.RECORD_TYPE_FILE
-                record.user = master['pki_user']
-                record.group = master['pki_group']
+                record.user = self.master_dict['pki_user']
+                record.group = self.master_dict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1759,9 +1785,9 @@ class file:
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
                                      extra = config.PKI_INDENTATION_LEVEL_3)
@@ -1770,8 +1796,8 @@ class file:
                 record = manifest.record()
                 record.name = name
                 record.type = manifest.RECORD_TYPE_FILE
-                record.user = master['pki_user']
-                record.group = master['pki_group']
+                record.user = self.master_dict['pki_user']
+                record.group = self.master_dict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = perms
@@ -1782,7 +1808,7 @@ class file:
                     log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1, name,
                     extra = config.PKI_INDENTATION_LEVEL_2)
                 if critical_failure == True:
-                    raise Exception(log.PKI_FILE_ALREADY_EXISTS_MOT_A_FILE_1 % name)
+                    raise Exception(log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % name)
         except OSError as exc:
             if exc.errno == errno.EEXIST:
                 pass
@@ -1793,9 +1819,16 @@ class file:
                     raise
         return
 
-
-# PKI Deployment Symbolic Link Class
-class symlink:
+class _Symlink:
+    """PKI Deployment Symbolic Link Class"""
+    
+    def __init__(self, pki_master_dict, identity = None):
+        self.master_dict = pki_master_dict
+        if identity is None:
+            self.identity = _Identity(pki_master_dict)
+        else:
+            self.identity = identity
+    
     def create(self, name, link, uid = None, gid = None,
                acls = None, allow_dangling_symlink = False, critical_failure = True):
         try:
@@ -1815,9 +1848,9 @@ class symlink:
                 #            CANNOT be run directly against symbolic links!
                 # chown -h <uid>:<gid> <link>
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 config.pki_log.debug(log.PKIHELPER_CHOWN_H_3,
                                      uid, gid, link,
                                      extra = config.PKI_INDENTATION_LEVEL_3)
@@ -1826,8 +1859,8 @@ class symlink:
                 record = manifest.record()
                 record.name = link
                 record.type = manifest.RECORD_TYPE_SYMLINK
-                record.user = master['pki_user']
-                record.group = master['pki_group']
+                record.user = self.master_dict['pki_user']
+                record.group = self.master_dict['pki_group']
                 record.uid = uid
                 record.gid = gid
                 record.permissions = \
@@ -1869,9 +1902,9 @@ class symlink:
                 #            CANNOT be run directly against symbolic links!
                 # chown -h <uid>:<gid> <link>
                 if uid == None:
-                    uid = identity.get_uid()
+                    uid = self.identity.get_uid()
                 if gid == None:
-                    gid = identity.get_gid()
+                    gid = self.identity.get_gid()
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_H_3,
                                          uid, gid, link,
@@ -1882,8 +1915,8 @@ class symlink:
                     record = manifest.record()
                     record.name = link
                     record.type = manifest.RECORD_TYPE_SYMLINK
-                    record.user = master['pki_user']
-                    record.group = master['pki_group']
+                    record.user = self.master_dict['pki_user']
+                    record.group = self.master_dict['pki_group']
                     record.uid = uid
                     record.gid = gid
                     record.permissions = \
@@ -1933,8 +1966,12 @@ class symlink:
                                  extra = config.PKI_INDENTATION_LEVEL_2)
             raise
 
-# PKI Deployment War File Class
-class war:
+class _War:
+    """PKI Deployment War File Class"""
+    
+    def __init__(self, pki_master_dict):
+        self.master_dict = pki_master_dict
+    
     def explode(self, name, path, critical_failure = True):
         try:
             if os.path.exists(name) and os.path.isfile(name):
@@ -1980,9 +2017,12 @@ class war:
                 raise
         return
 
-
-# PKI Deployment Password Class
-class password:
+class _Password:
+    """PKI Deployment Password Class"""
+    
+    def __init__(self, pki_master_dict):
+        self.master_dict = pki_master_dict
+    
     def create_password_conf(self, path, pin, pin_sans_token = False,
                              overwrite_flag = False, critical_failure = True):
         try:
@@ -1995,12 +2035,12 @@ class password:
                     with open(path, "wt") as fd:
                         if pin_sans_token == True:
                             fd.write(str(pin))
-                        elif master['pki_subsystem'] in\
+                        elif self.master_dict['pki_subsystem'] in\
                            config.PKI_APACHE_SUBSYSTEMS:
-                            fd.write(master['pki_self_signed_token'] + \
+                            fd.write(self.master_dict['pki_self_signed_token'] + \
                                      ":" + str(pin))
                         else:
-                            fd.write(master['pki_self_signed_token'] + \
+                            fd.write(self.master_dict['pki_self_signed_token'] + \
                                      "=" + str(pin))
                     fd.closed
             else:
@@ -2010,12 +2050,12 @@ class password:
                 with open(path, "wt") as fd:
                     if pin_sans_token == True:
                         fd.write(str(pin))
-                    elif master['pki_subsystem'] in\
+                    elif self.master_dict['pki_subsystem'] in\
                        config.PKI_APACHE_SUBSYSTEMS:
-                        fd.write(master['pki_self_signed_token'] + \
+                        fd.write(self.master_dict['pki_self_signed_token'] + \
                                  ":" + str(pin))
                     else:
-                        fd.write(master['pki_self_signed_token'] + \
+                        fd.write(self.master_dict['pki_self_signed_token'] + \
                                  "=" + str(pin))
                 fd.closed
         except OSError as exc:
@@ -2035,14 +2075,14 @@ class password:
                         extra = config.PKI_INDENTATION_LEVEL_2)
                     # overwrite the existing 'pkcs12_password.conf' file
                     with open(path, "wt") as fd:
-                        fd.write(master['pki_client_pkcs12_password'])
+                        fd.write(self.master_dict['pki_client_pkcs12_password'])
                     fd.closed
             else:
                 config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
                                     extra = config.PKI_INDENTATION_LEVEL_2)
                 # create a new 'pkcs12_password.conf' file
                 with open(path, "wt") as fd:
-                    fd.write(master['pki_client_pkcs12_password'])
+                    fd.write(self.master_dict['pki_client_pkcs12_password'])
                 fd.closed
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
@@ -2073,9 +2113,12 @@ class password:
                 return
         return token_pwd
 
-
-# PKI Deployment NSS 'certutil' Class
-class certutil:
+class _certutil:
+    """PKI Deployment NSS 'certutil' Class"""
+    
+    def __init__(self, pki_master_dict):
+        self.master_dict = pki_master_dict
+    
     def create_security_databases(self, path, pki_cert_database,
                                   pki_key_database, pki_secmod_database,
                                   password_file = None, prefix = None,
@@ -2490,8 +2533,12 @@ class certutil:
                 raise
         return
 
-# pk12util class
-class pk12util:
+class _pk12util:
+    """PKI Deployment pk12util class"""
+    
+    def __init__(self, pki_master_dict):
+        self.master_dict = pki_master_dict
+    
     def create_file(self, out_file, nickname, out_pwfile,
                     db_pwfile, path = None):
         try:
@@ -2543,13 +2590,20 @@ class pk12util:
                 raise
         return
 
-
-# KRA Connector Class
-class kra_connector:
+class _KRAConnector:
+    """PKI Deployment KRA Connector Class"""
+    
+    def __init__(self, pki_master_dict, password = None):
+        self.master_dict = pki_master_dict
+        if password is None:
+            self.password = _Password(pki_master_dict)
+        else:
+            self.password = password
+    
     def deregister(self, critical_failure = False):
         try:
             # this is applicable to KRAs only
-            if master['pki_subsystem_type'] != "kra":
+            if self.master_dict['pki_subsystem_type'] != "kra":
                 return
 
             config.pki_log.info(
@@ -2557,7 +2611,7 @@ class kra_connector:
                 extra = config.PKI_INDENTATION_LEVEL_2)
 
             cs_cfg = PKIConfigParser.read_simple_configuration_file(
-                         master['pki_target_cs_cfg'])
+                         self.master_dict['pki_target_cs_cfg'])
             krahost = cs_cfg.get('service.machineName')
             kraport = cs_cfg.get('pkicreate.secure_port')
             cahost = cs_cfg.get('cloning.ca.hostname')
@@ -2595,8 +2649,8 @@ class kra_connector:
             else:
                 token_name = "internal"
 
-            token_pwd = password.get_password(
-                            master['pki_shared_password_conf'],
+            token_pwd = self.password.get_password(
+                            self.master_dict['pki_shared_password_conf'],
                             token_name,
                             critical_failure)
 
@@ -2633,7 +2687,7 @@ class kra_connector:
         command = "/bin/pki -p '{}' -h '{}' -n '{}' -P https -d '{}' -c '{}' "\
                   "kraconnector-del {} {}".format(
                       caport, cahost, subsystemnick,
-                      master['pki_database_path'],
+                      self.master_dict['pki_database_path'],
                       token_pwd, krahost, kraport)
 
         output = subprocess.check_output(command,
@@ -2663,7 +2717,7 @@ class kra_connector:
         command = "/usr/bin/sslget -n '{}' -p '{}' -d '{}' -e '{}' "\
                   "-v -r '{}' {}:{} 2>&1".format(
                       subsystemnick, token_pwd,
-                      master['pki_database_path'],
+                      self.master_dict['pki_database_path'],
                       params, updateURL,
                       cahost, caport)
 
@@ -2675,12 +2729,20 @@ class kra_connector:
                                          stderr = subprocess.STDOUT,
                                          shell = True)
 
-# PKI Deployment Security Domain Class
-class security_domain:
+class _SecurityDomain:
+    """PKI Deployment Security Domain Class"""
+    
+    def __init__(self, pki_master_dict, password = None):
+        self.master_dict = pki_master_dict
+        if password is None:
+            self.password = _Password(pki_master_dict)
+        else:
+            self.password = password
+    
     def deregister(self, install_token, critical_failure = False):
         # process this PKI subsystem instance's 'CS.cfg'
         cs_cfg = PKIConfigParser.read_simple_configuration_file(
-            master['pki_target_cs_cfg'])
+            self.master_dict['pki_target_cs_cfg'])
 
         # assign key name/value pairs
         machinename = cs_cfg.get('service.machineName')
@@ -2725,7 +2787,7 @@ class security_domain:
         urladminheader = "https://{}:{}".format(sechost, secadminport)
         updateURL = "/ca/agent/ca/updateDomainXML"
 
-        params = "name=" + "\"" + master['pki_instance_path'] + "\"" + \
+        params = "name=" + "\"" + self.master_dict['pki_instance_path'] + "\"" + \
                  "&type=" + str(typeval) + \
                  "&list=" + str(listval) + \
                  "&host=" + str(machinename) + \
@@ -2742,7 +2804,7 @@ class security_domain:
                 adminUpdateURL = "/ca/admin/ca/updateDomainXML"
                 command = "/usr/bin/sslget -p 123456 -d '{}' -e '{}' "\
                           "-v -r '{}' {}:{} 2>&1".format(
-                             master['pki_database_path'],
+                             self.master_dict['pki_database_path'],
                              params, adminUpdateURL,
                              sechost, secadminport)
                 output = subprocess.check_output(command,
@@ -2809,7 +2871,7 @@ class security_domain:
         updateURL, sechost, secagentport, critical_failure = False):
         token_pwd = None
         cs_cfg = PKIConfigParser.read_simple_configuration_file(
-            master['pki_target_cs_cfg'])
+            self.master_dict['pki_target_cs_cfg'])
         # retrieve subsystem nickname
         subsystemnick_param = typeval.lower() + ".cert.subsystem.nickname"
         subsystemnick = cs_cfg.get(subsystemnick_param)
@@ -2833,8 +2895,8 @@ class security_domain:
         else:
             token_name = "internal"
 
-        token_pwd = password.get_password(
-                        master['pki_shared_password_conf'],
+        token_pwd = self.password.get_password(
+                        self.master_dict['pki_shared_password_conf'],
                         token_name,
                         critical_failure)
 
@@ -2854,7 +2916,7 @@ class security_domain:
         command = "/usr/bin/sslget -n '{}' -p '{}' -d '{}' -e '{}' "\
                   "-v -r '{}' {}:{} 2>&1".format(
                       subsystemnick, token_pwd,
-                      master['pki_database_path'],
+                      self.master_dict['pki_database_path'],
                       params, updateURL,
                       sechost, secagentport)
         try:
@@ -2888,7 +2950,7 @@ class security_domain:
 
         # process this PKI subsystem instance's 'CS.cfg'
         cs_cfg = PKIConfigParser.read_simple_configuration_file(
-            master['pki_target_cs_cfg'])
+            self.master_dict['pki_target_cs_cfg'])
 
         # assign key name/value pairs
         machinename = cs_cfg.get('service.machineName')
@@ -2901,7 +2963,7 @@ class security_domain:
                   "securitydomain-get-install-token --hostname {} "\
                   "--subsystem {}".format(
                       secadminport, sechost, secuser, secpass,
-                      master['pki_database_path'],
+                      self.master_dict['pki_database_path'],
                       machinename, cstype)
         try:
             output = subprocess.check_output(command,
